<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="modal" id="myModal" data-keyboard="false" data-backdrop="static">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="modaltitle">Downloading data.</h4>
                </div>
                <div class="modal-body">
                    <div class="progress">
                        <div id="myprogress" class="progress-bar progress-bar-striped progress-bar-animated"
                            style="width:0%"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <table id="container" class="table">
        <tr>
            <td>id</td>
            <td>firstname</td>
            <td>lastname</td>
            <td>company</td>
            <td>salary</td>
        </tr>
    </table>
    <img src="https://cdn.pixabay.com/photo/2021/11/27/12/16/mountain-6827881_960_720.jpg" id="img1">
    <img src="https://cdn.pixabay.com/photo/2021/11/21/16/00/sculpture-6814561_960_720.jpg" id="img2">
    <img src="https://cdn.pixabay.com/photo/2021/11/28/16/26/bike-6830708_960_720.jpg" id="img3">
</body>
<script>
       var progress = document.getElementById("myprogress");
    function modalToggle() {
        $("#myModal").modal('toggle');
    };
    modalToggle();
    async function main() {
        const table = await axios.get("http://13.213.37.38:3000/await-hw/data.json")
        var temp = document.getElementById("container")
        for (var i = 0; i < table.data.length; i++) {
            var row = temp.insertRow();
            var cell1 = row.insertCell(0);
            var cell2 = row.insertCell(1);
            var cell3 = row.insertCell(2);
            var cell4 = row.insertCell(3);
            var cell5 = row.insertCell(4);
            cell1.innerHTML = table.data[i].id;
            cell2.innerHTML = table.data[i].firstname;
            cell3.innerHTML = table.data[i].lastname;
            cell4.innerHTML = table.data[i].company;
            cell5.innerHTML = table.data[i].salary;
        }
        const width = parseInt(progress.style.width) + 25;
        progress.style = "width:" + width + "%";
        if (width === 100) {
            modalToggle();
        }
    }
 
    $("#img1").on('load', function () {
        const width = parseInt(progress.style.width) + 25;
        progress.style = "width:" + width + "%";
        if (width === 100) {
            modalToggle();
        }
    })
    $("#img2").on('load', function () {
        const width = parseInt(progress.style.width) + 25;
        progress.style = "width:" + width + "%";
        if (width === 100) {
            modalToggle();
        }
    })

    $("#img3").on('load', function () {
        const width = parseInt(progress.style.width) + 25;
        progress.style = "width:" + width + "%";
        if (width === 100) {
            modalToggle();
        }
    })


    main();

</script>

</html>